---
lang: en
title: 'API docs: rest.parseparamsmiddlewareprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparamsmiddlewareprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParamsMiddlewareProvider](./rest.parseparamsmiddlewareprovider.md)

## ParseParamsMiddlewareProvider class

<b>Signature:</b>

```typescript
export declare class ParseParamsMiddlewareProvider implements Provider<Middleware> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[Middleware](./express.middleware.md)

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./rest.parseparamsmiddlewareprovider.value.md) |  |  |


